Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

All problems begin when I was trying to install graphics card driver. My desktop wanished. I paniced and reinstalled (with apt-get) a lot of packages including Ubuntu desktop, Unity, Xserver, etc. I solved the problems with missing desktop and sidebar but from that day on I keep getting following errors when I try to install almost anything using apt-get install.

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 totem : Depends: totem-common (= 3.0.1-0ubuntu21) but 3.0.1-0ubuntu21.1 is to be   installed
Recommends: totem-plugins but it is not going to be installed
Recommends: totem-mozilla but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

What went wrong and what to do to get the apt-get install working again?

I would try to fix dependencies by apt-get removeing problematic things and then apt-get install the thinks I want. But it wants me to uninstall a lot of things. Following the unmet dependencies i got to package libgnutls26.

sudo apt-get remove libgnutls26

writes following

Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  libopenal1:i386 libjna-java libsdl-ttf2.0-0 jsvc libdb5.1-java-gcj
  libdb-je-java libxfixes3:i386 junit4 gcj-4.6-jre-lib ttf-umefont
  libboost-filesystem1.46.1 libecj-java libgraphicsmagick3 libtorque2
  libogre-1.7.4 libxcomposite1:i386 liboro-java libldap-2.4-2:i386
  libv4l-0:i386 libjoda-time-java libnb-javaparser-java gnome-exe-thumbnailer
  eclipse-platform-data libroken18-heimdal:i386 gcj-4.6-base libxerces2-java
  libcxsparse2.2.3 libgphoto2-port0:i386 libgcj-bc libemma-java libfreeimage3
  libjtidy-java libjzlib-java libglpk0 libarpack2 libpg-java libicu4j-java
  libcholmod1.7.1 libaspectj-java libfreemarker-java libservlet2.4-java
  libswt-cairo-gtk-3-jni libcommons-beanutils-java libosgi-compendium-java
  libbetter-appframework-java libsane:i386 junit odbcinst1debian2
  libsdl-mixer1.2 cmake-data libtinyxml2.6.2 libxxf86vm1:i386 bsh-gcj
  libboost-system1.46.1 libsac-java-gcj libdb-java libgl1-mesa-dri:i386
  empathy-common libxcb-glx0:i386 libasn1-8-heimdal:i386
  libnb-platform-devel-java libgl1-mesa-glx:i386 libwebkitgtk-1.0-common
  libgeronimo-jpa-2.0-spec-java libapr1 libxslt1.1:i386 javahelp2
  libcommons-cli-java libcapi20-3 libcapi20-3:i386 libx11-xcb1:i386
  libcglib-java libglapi-mesa:i386 libumfpack5.4.0 libcommons-logging-java
  odbcinst jetty libgssapi3-heimdal:i386 libcommons-compress-java
  libcegui-mk2-0.7.5 libv4lconvert0:i386 apache2-utils libgcj12
  libccolamd2.7.1 libdb5.1-java unixodbc libbytelist-java
  libsimple-validation-java libicu4j-4.4-java libsvnkit-java
  libfelix-framework-java libjavascriptcoregtk-1.0-0 smc-data
  libosgi-foundation-ee-java libnb-platform13-java ant wine-gecko1.4
  wine-gecko1.4:i386 libstringtemplate-java libwind0-heimdal:i386 aspectj
  libjsch-java bsh libparpack2 libeasymock-java winetricks jarwrapper
  libxml-commons-resolver1.1-java libfltk1.1 ant-optional libxinerama1:i386
  libsilly libgif4:i386 libsac-java libjcodings-java dkms libapache-pom-java
  libcolamd2.7.1 libopenmpi1.3 libxml-commons-external-java icoutils
  libosgi-core-java libieee1284-3:i386 libgraphicsmagick++3
  libhdf5-serial-1.8.4 octave3.2-common libflute-java sat4j libantlr-java
  libcommons-el-java libjvyamlb-java libnb-org-openide-util-java
  libboost-thread1.46.1 libtrilead-ssh2-java libxpm4:i386 libusb-0.1-4:i386
  libzzip-0-13 libcommons-httpclient-java libfelix-main-java
  libhcrypto4-heimdal:i386 libhx509-5-heimdal:i386 libgd2-xpm:i386
  libheimbase1-heimdal:i386 libslf4j-java libcommons-daemon-java libnuma1
  libnetx-java libasm3-java libamd2.2.0 libswing-layout-java libregexp-java
  libgnomeui-common libmysql-java libswingx1-java libibverbs1
  libnb-absolutelayout-java fastjar libjemmy2-java libois-1.3.0 libjasper-java
  libmpg123-0 libmpg123-0:i386 libdb4.8 libsasl2-2:i386 libgsoap1
  libcommons-codec-java libcommons-lang-java libhamcrest-java liblucene2-java
  libgeronimo-osgi-support-java libheimntlm0-heimdal:i386 libequinox-osgi-java
  libxdamage1:i386 libcommons-parent-java libcommons-collections3-java
  libbeansbinding-java libgcj-common libodbc1 libcommons-net1-java
  libexif12:i386 libglu1-mesa:i386 fonts-droid libopenjpeg2
  libbonoboui2-common libcommons-digester-java libbindex-java libxcursor1:i386
  libini4j-java libjetty-java libsasl2-modules:i386 libaprutil1 libqrupdate1
  libqhull5 antlr3 libxerces-c3.1 libjline-java libxrandr2:i386 libcrystalhd3
  libnb-org-openide-modules-java libdevil1c2 libswt-glx-gtk-3-jni
  libpostgresql-jdbc-java libgnomecanvas2-common libltdl7:i386 ttf-droid
  libkrb5-26-heimdal:i386 libganymed-ssh2-java
  libnb-org-openide-util-lookup-java libllvm3.0:i386 libgphoto2-2:i386
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  activity-log-manager-control-center aisleriot alacarte apport-gtk
  apt-transport-https aptdaemon apturl bamfdaemon baobab bluez-cups brasero
  brasero-cdrkit chromium-browser chromium-browser-l10n chromium-codecs-ffmpeg
  cmake compiz compiz-fusion-plugins-extra compiz-gnome compiz-plugins-extra
  compiz-plugins-main compiz-plugins-main-default compizconfig-backend-gconf
  compizconfig-settings-manager cups cups-bsd cups-client cups-filters
  cups-pk-helper cups-ppdc curl dconf-tools default-jre default-jre-headless
  deja-dup eclipse eclipse-jdt eclipse-pde eclipse-platform eclipse-rcp
  emacs23 empathy eog evince evolution-data-server file-roller firefox
  firefox-globalmenu firefox-gnome-support flashplugin-installer gcalctool
  gconf-service gconf-service-backend gconf2 gedit geoclue
  geoclue-ubuntu-geoip ghex ghostscript ghostscript-cups ghostscript-x ginn
  gir1.2-appindicator3-0.1 gir1.2-caribou-1.0 gir1.2-clutter-1.0
  gir1.2-dbusmenu-gtk-0.4 gir1.2-gconf-2.0 gir1.2-gkbd-3.0
  gir1.2-gnomebluetooth-1.0 gir1.2-gtk-2.0 gir1.2-gtk-3.0 gir1.2-gtksource-3.0
  gir1.2-launchpad-integration-3.0 gir1.2-mutter-3.0 gir1.2-panelapplet-4.0
  gir1.2-peas-1.0 gir1.2-rb-3.0 gir1.2-soup-2.4 gir1.2-ubuntuoneui-3.0
  gir1.2-vte-2.90 gir1.2-webkit-3.0 gir1.2-wnck-3.0 git gksu glib-networking
  gnome-applets gnome-applets-data gnome-bluetooth gnome-contacts
  gnome-control-center gnome-disk-utility gnome-font-viewer gnome-games-data
  gnome-icon-theme gnome-icon-theme-full gnome-icon-theme-symbolic
  gnome-keyring gnome-media gnome-nettool gnome-online-accounts gnome-orca
  gnome-panel gnome-panel-data gnome-power-manager gnome-screensaver
  gnome-screenshot gnome-session gnome-session-bin gnome-session-canberra
  gnome-session-fallback gnome-settings-daemon gnome-shell gnome-sudoku
  gnome-system-log gnome-system-monitor gnome-terminal gnome-terminal-data
  gnome-themes-standard gnome-tweak-tool gnome-user-guide gnome-user-share
  gnomine gnuplot gnuplot-x11 gparted gs-cjk-resource gstreamer0.10-gconf
  gstreamer0.10-nice gstreamer0.10-plugins-bad gstreamer0.10-plugins-good
  gtk2-engines gtk2-engines-murrine gtk3-engines-unico gucharmap gvfs-backends
  gwibber hardinfo hplip humanity-icon-theme ibus ibus-gtk ibus-gtk3
  ibus-pinyin ibus-table icedtea-6-jre-cacao icedtea-6-jre-jamvm
  indicator-applet-complete indicator-application indicator-appmenu
  indicator-datetime indicator-messages indicator-power indicator-printers
  indicator-session indicator-sound indicator-status-provider-mc5
  indicator-status-provider-pidgin jockey-common jockey-gtk kerneloops-daemon
  landscape-client-ui-install language-selector-gnome libappindicator1
  libappindicator3-1 libatk-wrapper-java-jni libavahi-ui-gtk3-0 libbamf0
  libbamf3-0 libbonoboui2-0 libbrasero-media3-1 libcamel-1.2-29
  libcanberra-gtk-module libcanberra-gtk0 libcanberra-gtk3-0
  libcanberra-gtk3-module libcaribou0 libclutter-1.0-0 libcmis-0.2-0
  libcompizconfig0 libcups2 libcupscgi1 libcupsdriver1 libcupsfilters1
  libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3 libcurl3-gnutls
  libcurl3-nss libdmapsharing-3.0-2 libebackend-1.2-1 libebook-1.2-12
  libecal-1.2-10 libedata-book-1.2-11 libedata-cal-1.2-13
  libedataserver-1.2-15 libedataserverui-3.0-1 libevince3-3 libfarstream-0.1-0
  libfolks-eds25 libfolks-telepathy25 libfolks25 libfreerdp-plugins-standard
  libgail-3-0 libgail-common libgail18 libgconf2-4 libgcr-3-1 libgdata13
  libgdu-gtk0 libgksu2-0 libglade2-0 libgnome-bluetooth8
  libgnome-control-center1 libgnome-desktop-3-2 libgnome-media-profiles-3.0-0
  libgnome2-0 libgnome2-common libgnomecanvas2-0 libgnomekbd7 libgnomeui-0
  libgnomevfs2-0 libgnomevfs2-common libgnutls26 libgoa-1.0-0 libgpod-common
  libgpod4 libgrip0 libgs9 libgssdp-1.0-3 libgtk-3-0 libgtk-3-bin libgtk2-perl
  libgtk2.0-0 libgtk2.0-bin libgtkhex-3-0 libgtkmm-2.4-1c2a libgtkmm-3.0-1
  libgtksourceview-3.0-0 libgtkspell-3-0 libgtkspell0 libgucharmap-2-90-7
  libgupnp-1.0-4 libgupnp-igd-1.0-4 libgweather-3-0 libgweather-common
  libgwibber-gtk2 libido3-0.1-0 libimobiledevice2 libindicator3-7
  libindicator7 liblaunchpad-integration-3.0-1 liblaunchpad-integration1
  libldap-2.4-2 libmetacity-private0 libmusicbrainz3-6 libmutter0
  libnautilus-extension1a libnb-apisupport3-java libnb-ide14-java
  libnb-java5-java libneon27-gnutls libnice10 libnm-gtk0 liboauth0
  liboverlay-scrollbar-0.2-0 liboverlay-scrollbar3-0.2-0 libpam-winbind
  libpanel-applet-4-0 libpeas-1.0-0 libpurple0 libqtbamf1 libqtgconf1 libquvi7
  libraptor2-0 librasqal3 librdf0 libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-emailmerge
  libreoffice-gnome libreoffice-gtk libreoffice-help-en-us libreoffice-impress
  libreoffice-math libreoffice-style-human libreoffice-style-tango
  libreoffice-writer librest-0.7-0 librhythmbox-core5 librsvg2-common librtmp0
  libsane-hpaio libslv2-9 libsmbclient libsoup-gnome2.4-1 libsoup2.4-1
  libspectre1 libsvn-java libsvn1 libsvnclientadapter-java
  libswt-gnome-gtk-3-jni libswt-gtk-3-java libswt-gtk-3-jni
  libswt-webkit-gtk-3-jni libsyncdaemon-1.0-1 libtelepathy-farstream2
  libtimezonemap1 libtotem-plparser17 libubuntuoneui-3.0-1 libunique-3.0-0
  libunity-2d-private0 libunity-core-5.0-5 libunity-misc4 libvncserver0
  libvte-2.90-9 libvte9 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libwnck-3-0
  libwnck22 libwxgtk2.8-0 libxmlrpc-core-c3 libyelp0 light-themes lynx
  lynx-cur mahjongg metacity metacity-common mousetweaks mplayer2
  mutter-common mythes-en-us nautilus nautilus-sendto nautilus-sendto-empathy
  nautilus-share netbeans network-manager-gnome network-manager-pptp-gnome
  notify-osd ntfs-3g octave3.2 onboard oneconf openjdk-6-jdk openjdk-6-jre
  openjdk-6-jre-headless openjdk-6-jre-lib overlay-scrollbar pidgin
  pidgin-libnotify policykit-1-gnome printer-driver-c2esp
  printer-driver-foo2zjs printer-driver-gutenprint printer-driver-hpcups
  printer-driver-pnm2ppa printer-driver-postscript-hp printer-driver-ptouch
  printer-driver-sag-gdi printer-driver-splix pulseaudio-module-gconf
  python-appindicator python-aptdaemon python-aptdaemon.gtk3widgets
  python-aptdaemon.pkcompat python-compizconfig python-cups python-cupshelpers
  python-gconf python-gmenu python-gnomekeyring python-gtk2 python-ibus
  python-notify python-pycurl python-smbc python-software-properties
  python-ubuntu-sso-client python-ubuntuone-control-panel python-uno
  python-virtkey remmina remmina-plugin-rdp remmina-plugin-vnc rhythmbox
  rhythmbox-mozilla rhythmbox-plugin-cdrecorder rhythmbox-plugin-magnatune
  rhythmbox-plugin-zeitgeist rhythmbox-plugins rhythmbox-ubuntuone
  samba-common-bin seahorse sessioninstaller shotwell simple-scan smbclient
  software-center software-properties-gtk ssh-askpass-gnome subversion
  synaptic system-config-printer-common system-config-printer-gnome
  system-config-printer-udev telepathy-gabble telepathy-haze
  telepathy-indicator telepathy-salut thunderbird thunderbird-globalmenu
  thunderbird-locale-en thunderbird-locale-en-us transmission-gtk
  ubuntu-artwork ubuntu-desktop ubuntu-docs ubuntu-mono ubuntu-sso-client
  ubuntu-sso-client-gtk ubuntuone-client ubuntuone-client-gnome
  ubuntuone-control-panel ubuntuone-installer unity unity-2d unity-2d-panel
  unity-2d-shell unity-2d-spread unity-asset-pool unity-common unity-greeter
  unity-lens-applications unity-scope-video-remote unity-services
  update-manager update-notifier upower usb-creator-gtk vino virtualbox
  virtualbox-dkms virtualbox-qt vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse
  whoopsie winbind wine wine1.4 wine1.4-amd64 wine1.4-common wine1.4-i386:i386
  xdg-user-dirs-gtk xdiagnose xul-ext-ubufox yelp zeitgeist zeitgeist-datahub
  zenity
0 upgraded, 0 newly installed, 467 to remove and 0 not upgraded.
After this operation, 1,807 MB disk space will be freed.
Do you want to continue [Y/n]?

Removing 1.8GB of Ubuntu staff is this right way to go? This is even worse than yesterday when I had to remove qt libraries and everything depending on it (almost every second app with GUI) in order to install VLC player.

I am using Ubuntu 12.04 LTS. Thanks in advance for explanation.

share|improve this question

marked as duplicate by Eliah Kagan, guntbert, Seth Jun 17 at 22:03

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

    
What's the output of sudo apt-get check? –  Braiam Apr 16 at 0:08

2 Answers 2

Do you have aptitude installed or can you still install it? Aptitude is not going to clean this up in and of itself -- though following its suggestions for fixing broken dependencies will get you back to a working situation. What's more important is that aptitude will likely give you the insight to fix this situation, because of the way it helps track dependencies.

share|improve this answer

I really don't know what happened to your packages, but try:

sudo apt-get autoclean
sudo apt-get clean
sudo apt-get autoremove
sudo dpkg --configure -a
sudo apt-get install -f
sudo apt-get update
share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.